> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openformat.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Leaderboard

> Get all Leaderboard

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "user": "0x03755352654d73da06756077dd7f040adce3fd58",
      "xp_rewarded": "310"
    },
    {
      "user": "0x16bb52a951e3dd1d2cdb95b1a70c2b05ce1e4cee",
      "xp_rewarded": "110"
    },
    {
      "user": "0xb98492ec79fcc78cb584eafacee18d9a4cdc3424",
      "xp_rewarded": "60"
    },
    {
      "user": "0x7d92949b4dace9aee85ecd7d362b3a8ffc40e00a",
      "xp_rewarded": "30"
    }
  ]
  ```

  ```json 400 theme={null}
  {
    "success": false,
    "error": {
      "issues": [
        {
          "validation": "regex",
          "code": "invalid_string",
          "message": "Invalid",
          "path": [
            "start"
          ]
        },
        {
          "validation": "regex",
          "code": "invalid_string",
          "message": "Invalid",
          "path": [
            "end"
          ]
        },
        {
          "validation": "regex",
          "code": "invalid_string",
          "message": "Invalid",
          "path": [
            "page"
          ]
        },
        {
          "validation": "regex",
          "code": "invalid_string",
          "message": "Invalid",
          "path": [
            "page_size"
          ]
        }
      ],
      "name": "ZodError"
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml get /leaderboard
openapi: 3.0.0
info:
  version: 0.1.0
  title: Openformat API
servers:
  - url: https://api.openformat.tech/v1
    description: Live server
security:
  - ApiKeyAuth: []
paths:
  /leaderboard:
    get:
      tags:
        - Leaderboard
      description: Get all Leaderboard
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 255
            description: Blockchain network to use
            example: arbitrum-sepolia
          required: true
          name: chain
          in: query
        - schema:
            type: string
            pattern: ^(0x)?[0-9a-fA-F]{40}$
            description: Ethereum address of the application we are insterested
            example: '0x9716fb655f2a72b1fc1b4db02b8ad20b6747442a'
          required: true
          name: app_id
          in: query
        - schema:
            type: string
            pattern: ^(0x)?[0-9a-fA-F]{40}$
            description: Ethereum address of the token to use
            example: '0xd1f09c70f6f2838a3ab6209c1465af68594667ec'
          required: false
          name: token_id
          in: query
        - schema:
            type: string
            pattern: ^\d+$
            description: Timestamp for start date
            example: '0'
          required: false
          name: start
          in: query
        - schema:
            type: string
            pattern: ^\d+$
            description: Timestamp for end date
            example: '9999999999999999'
          required: false
          name: end
          in: query
        - schema:
            type: string
            pattern: ^\d+$
            description: Results page
            example: '1'
          required: false
          name: page
          in: query
        - schema:
            type: string
            pattern: ^\d+$
            description: Page size
            example: '20'
          required: false
          name: page_size
          in: query
      responses:
        '200':
          description: Displays the leaderboard
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - failed
                      - success
                    description: 'Response status: ''sucess'' or ''failed'''
                    example: success
                  total:
                    type: number
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        user:
                          type: string
                          pattern: ^(0x)?[0-9a-fA-F]{40}$
                        xp_rewarded:
                          type: string
                          pattern: ^\d+$
                      required:
                        - user
                        - xp_rewarded
                required:
                  - status
                  - total
                  - data
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      issues:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                              description: Error code for the field
                              example: invalid_type
                            path:
                              type: array
                              items:
                                type: string
                              description: Field with error
                              example:
                                - some_field
                            message:
                              type: string
                              description: Error message
                              example: Required
                          required:
                            - code
                            - path
                            - message
                        description: Error object with all validation issues
                    required:
                      - issues
                required:
                  - error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````